Skip to Content
Referhatch
Tools

Report affiliate activity

Get separate visit counts, purchase counts, purchase totals and commission totals for each affiliate in an inclusive UTC date range. Purchases use the selected currency (USD by default); visits include all recorded visits. Affiliates with no activity return zeroes. Use next_offset for more affiliates. An affiliate ID outside your account returns ACCESS_DENIED without affiliate or activity details.

curl https://api.referhatch.com/v1/affiliate_report \
  -H "Authorization: Bearer $API_KEY" \
  -d '{"start_date":"your start date","end_date":"your end date"}'

Input

FieldTypeDescription
start_date (required)stringFirst included date, YYYY-MM-DD. Dates use UTC.
end_date (required)stringLast included date, YYYY-MM-DD. Dates use UTC.
affiliate_idstringAffiliate ID in your account. Provide this or a referral code.
currencystringPurchase currency. Defaults to USD. Reports never combine currencies.
limitintegerRows per page.
offsetintegerRows to skip.

Output

FieldTypeDescription
ok (required)boolean
errorobject
start_datestringFirst included date, YYYY-MM-DD. Dates use UTC.
end_datestringLast included date, YYYY-MM-DD. Dates use UTC.
currencystringPurchase currency. Defaults to USD. Reports never combine currencies.
itemsarray
has_moreboolean
next_offsetinteger